﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_FeeAdjustment
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("AutoComplete-Ui.min.js", Url)
    <script type="text/javascript">


    
        $(document).ready(function () {
            $("#Edate").datepicker();
            $("#btnCancel").click(function () {
                window.location.href = "/TbFeeAdjustment/Index";
            });
             

             
            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');

            GetCourseForstudent($("#combobox").val());
            var idCourse=$("#courseidhidden").val();
            GetPackage(idCourse);
        });
    


     $(function () {
   
    $("#combobox").combobox({

        selected: function (event, ui) {
       
            GetCourseForstudent($(this).val());
        }
    });

    });



       function GetCourseForstudent(myval)
    {
    var idCourse = myval;
            $.getJSON("/TbFeeAdjustment/LoadPackageByCourse", { id: idCourse },
   function (modelData) {

       var select = $("#CourseId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Course"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
           $("#CourseId").val($("#courseidhidden").val());
       });
   });
    }














    </script>
    <script type="text/javascript">

        $("#CourseId").change(function () {
            var idCourse = $(this).val();
   GetPackage(idCourse);
        });
        function GetPackage(idCourse) {

                  var stuid = $("#combobox").val();
            $.getJSON("/TbFeeAdjustment/LoadPackageBypackages", { id: idCourse,stuid:stuid },
   function (modelData) {

       var select = $("#PackageId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Package"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
           $("#PackageId").val($("#packid").val());
       });
   });
        }


    </script>
}
@using System.Web.UI.WebControls
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit Fee Adjustment</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
          string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Update" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                        <table style="width: 750px" align="center">
                            <tr>
                                <td>
                                    <fieldset>
                                        <legend>Fee Adjustment</legend>
                                        <table style="width: 100%">
                                            @{
          object cdate = ViewBag.Date;
          object adjustmentno = ViewBag.adjustmentno;
    
                                            }@Html.HiddenFor(model => model.BranchId)
                                            <tr>
                                                <td>@Html.LabelFor(model => model.AdjustmentNo)
                                                </td>
                                                <td>@ViewBag.AdjustmentNo
                                                    @Html.Hidden("AdjustmentNo", @adjustmentno)
                                                </td>
                                                <td>@Html.LabelFor(model => model.Edate)
                                                </td>
                                                <td style="vertical-align: central">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                @{var edate = Model.Edate.Value.ToShortDateString();}
                                                                @Html.TextBox("Edate", edate)
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    @Html.Hidden("Edate", @cdate)
                                                </td>
                                                @*  <td>
                                                        @Html.LabelFor(model => model.StudentId, "Student")

                                                    </td>
                                                    <td>
                                                        @Html.DropDownList("StudentId", "Select")
                                                        @Html.ValidationMessageFor(model => model.StudentId)

                                                    </td>*@
                                            </tr>
                                            <tr>
                                                <td>
                                                    @Html.LabelFor(model => model.StudentId, "Student")
                                                </td>
                                                <td>
                                                    @Html.DropDownList("StudentId", null, new { @id = "combobox" })
                                                    @Html.ValidationMessageFor(model => model.StudentId)
                                                </td>
                                                <td style="vertical-align: top">@Html.LabelFor(model => model.AdjustType)
                                                </td>
                                                @*    @{
                                                        
    var listitem = new List<ListItem>();
    listitem.Add(new ListItem { Text = "Select", Value = "" });
    listitem.Add(new ListItem { Text = "Pay", Value = "Pay" });
    listitem.Add(new ListItem { Text = "Receipt", Value = "Receipt" });                 
                                                    }*@
                                                <td>
                                                    <table>
                                                        <tr>
                                                            <td>@Html.RadioButtonFor(model => model.AdjustType, "Pay", new {@title="Received From Student" }) Pay
                                                            </td>
                                                            <td>@Html.RadioButtonFor(model => model.AdjustType, "Receipt", new {@title="Paid To Student" }) Receipt
                                                                @Html.ValidationMessageFor(model => model.AdjustType)
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.CourseId, "Course")
                                                </td>
                                                <td>@Html.DropDownList("CourseId", "Select")
                                                    @Html.ValidationMessageFor(model => model.CourseId)
                                                    <input type="hidden" id="courseidhidden" value="@Model.CourseId" />
                                                </td>
                                                <td>@Html.LabelFor(model => model.AdjustAmount)
                                                </td>
                                                <td>
                                                    @Html.EditorFor(model => model.AdjustAmount)
                                                    @Html.ValidationMessageFor(model => model.AdjustAmount)
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.PackageId, "Package")
                                                </td>
                                                <td>@Html.DropDownList("PackageId", "Select")
                                                    @Html.ValidationMessageFor(model => model.PackageId)
                                                    <input type="hidden" id="packid" value="@Model.PackageId" />
                                                </td>
                                                <td style="vertical-align: top">@Html.LabelFor(model => model.Remarks)
                                                </td>
                                                <td>@Html.EditorFor(model => model.Remarks)
                                                    @Html.ValidationMessageFor(model => model.Remarks)
                                                </td>
                                            </tr>
                                        </table>
                                    </fieldset>
                                    <br />
                                </td>
                            </tr>
                        </table>
                        <table align="right" style="width: 450px">
                            <tr>
                            </tr>
                        </table>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>    
}
<div>
</div>
}